#!/bin/sh

echo
echo "CP/M Image Manager utility extension"
echo "CP/M Image content copier"

usage()
{
	echo
	echo "Usage:"
	echo "imgcopy img_src img_dest 'file_set_mask'"
	echo "  img_src  - source CP/M image with extension"
	echo "  img_dest - destination CP/M image with extension"
	echo "           - files must exists!"
	echo "  file_set_mask - the file name in CP/M 8.3 format"
	echo "                  which can contain wildcards '*' or '?'"
}

if [ $# -ne 3 ]; then
	usage
	exit
fi
if [ ! -f $1 ]; then
	echo
	echo "Source disk not found!"
	exit
fi
if [ ! -f $2 ]; then
	echo
	echo "Destination disk not found!"
	exit
fi
if [ ! -d ".cimtmp" ]; then
	mkdir .cimtmp
fi

SOURCE=".cimtmp/${3}"

./cim $1 -x $SOURCE
if [ $? -eq 0 ]; then
	./cim $2 -e $3
	if [ $? -eq 0 ]; then
		./cim $2 -a $SOURCE
		if [ $? -eq 1 ]; then
			echo "Error while adding files to $2!"
		fi
	else
		echo "Error while erasing files in $2!"
	fi
else
	echo "Error while extracting '$3' files from $1!"
fi

rm -rf .cimtmp

